# Update 'ErrandCost'

Endpoint: PATCH /errands/costs/errandcost/{pk}/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Path parameters:

  - `pk` (string, required)

## Request fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `custom_id` (string)

  - `invoice_title` (string, required)

  - `general_errand` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `inspection_errand`, `rounding_occurrence`
This field, or at least one of the following fields must be set: `inspection_errand`, `rounding_occurrence`

  - `general_errand.id` (string)

  - `general_errand_action` (object)

  - `general_errand_action.id` (string)

  - `inspection_errand` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand`, `rounding_occurrence`
This field, or at least one of the following fields must be set: `general_errand`, `rounding_occurrence`

  - `inspection_errand.id` (string)

  - `inspection_errand_fault` (object)

  - `inspection_errand_fault.id` (string)

  - `article` (object)

  - `article.id` (string)

  - `vat` (integer)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Vat 0
* `6` - Vat 6
* `12` - Vat 12
* `25` - Vat 25
    Enum: 0, 6, 12, 25

  - `unit_price` (number)

  - `unit_amount` (number)

  - `should_be_invoiced` (boolean)

  - `target_tenant` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `target_sub_tenant`, `target_organization_user`

  - `target_tenant.id` (string)

  - `target_sub_tenant` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `target_tenant`, `target_organization_user`

  - `target_sub_tenant.id` (string)

  - `target_organization_user` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `target_tenant`, `target_sub_tenant`

  - `target_organization_user.id` (string)

  - `attachment` (object)

  - `attachment.name` (string)
    wanted filename of the file

  - `attachment.md5_hash` (string)
    base64 encoded md5hash of the file

  - `attachment.get` (string)

  - `attachment.post` (object)

  - `attachment.post.url` (string)

  - `awaits_data` (boolean, required)

  - `rounding_occurrence` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand`, `inspection_errand`
This field, or at least one of the following fields must be set: `general_errand`, `inspection_errand`

  - `rounding_occurrence.id` (string)

## Response 200 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `invoice_title` (string, required)

  - `general_errand` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `inspection_errand`, `rounding_occurrence`
This field, or at least one of the following fields must be set: `inspection_errand`, `rounding_occurrence`

  - `general_errand.id` (string)

  - `general_errand_action` (object)

  - `general_errand_action.id` (string)

  - `inspection_errand` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand`, `rounding_occurrence`
This field, or at least one of the following fields must be set: `general_errand`, `rounding_occurrence`

  - `inspection_errand.id` (string)

  - `inspection_errand_fault` (object)

  - `inspection_errand_fault.id` (string)

  - `article` (object)

  - `article.id` (string)

  - `vat` (integer)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Vat 0
* `6` - Vat 6
* `12` - Vat 12
* `25` - Vat 25
    Enum: 0, 6, 12, 25

  - `unit_price` (number)

  - `unit_amount` (number)

  - `should_be_invoiced` (boolean)

  - `target_tenant` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `target_sub_tenant`, `target_organization_user`

  - `target_tenant.id` (string)

  - `target_sub_tenant` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `target_tenant`, `target_organization_user`

  - `target_sub_tenant.id` (string)

  - `target_organization_user` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `target_tenant`, `target_sub_tenant`

  - `target_organization_user.id` (string)

  - `attachment` (object)

  - `attachment.name` (string)
    wanted filename of the file

  - `attachment.md5_hash` (string)
    base64 encoded md5hash of the file

  - `attachment.get` (string)

  - `attachment.post` (object)

  - `attachment.post.url` (string)

  - `awaits_data` (boolean, required)

  - `rounding_occurrence` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand`, `inspection_errand`
This field, or at least one of the following fields must be set: `general_errand`, `inspection_errand`

  - `rounding_occurrence.id` (string)

  - `pending_monitor_approval_amount` (any)

